Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453986 - Detail information about particular package update are not cached leading reviewing updates unpleasent in gpk-update-viewer
Summary: Detail information about particular package update are not cached leading rev...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 17:18 UTC by JanS
Modified: 2008-08-18 08:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-18 08:43:14 UTC


Attachments (Terms of Use)

Description JanS 2008-07-03 17:18:04 UTC
Description of problem:
After clicking on Review button one can read details of particular updates.
While entry for every single package is downloading about 5-6 seconds it is very
time consuming to read through the updates.
On top of it, non of that information is cached, which makes all proccess really
irritating, cause you cannot display what you have seen just recently without
waiting.
All proccess is so time consuming, that I have considered it as a bug - makes a
tool hard to use.

Beside of need of a cache, there should be a button like "download all
information" to start a job to prefetch details about all updates and get back
after few minutes when proccess have finished. And read undisturbed.

The last thing, I would be gratefull for a "Maximize" button in review window,
cause it is really hard to read some update details in this really small
default-size window. And every time I try, I have to grab a corner and resize it
manually.


Version-Release number of selected component (if applicable):
gnome-packagekit.x86_64                  0.1.12-12.20080430.fc9
yum.noarch                               3.2.16-2.fc9

How reproducible:
100%

Steps to Reproduce:
1. go to Review window
2. click on one of the updates and wait for "getting information" have finished
3. simirarly click on another
4. go back to first one, you will see getting same information one more
  
Actual results:
To read update details takes few minutes

Expected results:
Easy to use update review

Additional info:

Comment 1 Richard Hughes 2008-07-03 18:44:17 UTC
I've fixed all these issues in git master -- the update detail is now instant
and the window can be maximised.

Comment 2 JanS 2008-07-27 11:45:27 UTC
Can someone tell when this update will be in Fedora updates repository?
I do not know the procedures, and I really could use this enhancement.


Comment 3 Richard Hughes 2008-08-06 10:24:40 UTC
It won't be in F9 until I backport the 0.3.x tree. This probably won't be for a few months, as 0.2.x is still going strong and 0.3.x isn't API stable yet.

Comment 4 Richard Hughes 2008-08-18 08:43:14 UTC
I'm releasing 0.3.0 today, so it'll be in rawhide this afternoon. If it's okay in rahide, I'll backport to F9 in a couple of weeks.


Note You need to log in before you can comment on or make changes to this bug.